package com.zt.plat.module.qms.resource.material.enums;

import lombok.Getter;

@Getter
public enum MaterialAssayResultAssessmentType {

    inbound("入库"),

    not_inbound("不入库"),
    ;

    private final String name;

    MaterialAssayResultAssessmentType(String name) {
        this.name = name;
    }

    public static MaterialAssayResultAssessmentType fromName(String name) {
        for (MaterialAssayResultAssessmentType type : MaterialAssayResultAssessmentType.values()) {
            if (type.getName().equals(name)) {
                return type;
            }
        }
        throw new IllegalArgumentException("No enum constant with name: " + name);
    }
}
